# Class CIM_HostedFileSystem
extends CIM_SystemComponent

A link between the System (such as a Computer or Application System) and the FileSystem that is a part of it.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_HostedFileSystem

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | A link between the System (such as a Computer or Application System) and the FileSystem that is a part of it.
UMLPackagePath | string | CIM::System::FileElements
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_HostedFileSystem | CIM_System
PartComponent | CIM_HostedFileSystem | CIM_FileSystem

## Class Methods